Home Blog

Archive for June, 2014

Multiple OpenSSL vulnerabilities found

Friday, June 6th, 2014

In addition to the recently found Heartbleed bug we posted about 2 months ago, new multiple vulnerabilities have been found in the OpenSSL libraries. OpenSSL vulnerability may potentially affect our OpenVPN service, while it does not in any way limit our encrypted proxy server service.

All of our servers have been patched earlier Today, virtually hours after the fix has become available. Please rest assured that Identity Cloaker is currently operating at 100%.

NOTE: You may read more about the recent SSL vulnerabilities at:

http://www.openssl.org/news/secadv_20140605.txt

 

Contact | Helpdesk | Privacy Policy | Terms Of Service
Secured by RapidSSL  Join the Blue Ribbon Online Free Speech Campaign